Subject: Comments of IOTP DSIG.

From: Yoshiaki KAWATSURA <[email-masked]>
Date: Tue, 30 Mar 1999 15:30:10 +0900 (JST)

I have some comments for IOTP DSIG.

(a) 3.2 Digest Element
There is no DTD definition of Resource Element.
We should add the definition of DTD.

(b) 4.3.5 I do not understand why the Attributes element is needed.
I think that this is because there is no attribute in Attributes.  

I suggest to remove the followings,

Current:
   <!ELEMENT Manifest
           (       Algorithm+,
                   Digest+,
                   Attributes?,
                   OriginatorInfo,
                   RecipientInfo+,
           )

My New Suggestion:
   <!ELEMENT Manifest
           (       Algorithm+,
                   Digest+,
                   Attribute*,
                   OriginatorInfo,
                   RecipientInfo+,
           )

(c) The XML reference is only the backward reference, such that one
pass procedure, in order to lighten the signature process.

Therefore I suggest the following replacement.

 (1) To exchange the order between Signature Component and Certificate
     Component.

 (2) To exchange the order between Manifest Element and Value Element.

(d) I just wonder who and how will the ANY data define in 4.3.7, 4.3.8
and 4.3.9?  Additionally, who and how will the type data define in
4.4.1?  We should define the above data for the reason of
interoperability.  And I suggest that these data(include chapter 5)
should be defined in the separate document.

(e) 5 Supported Algorithm
The current draft specifies the supported algorithms as follows,
"The IOTP specification 1.0 requires the implementation of the DOM-HASH,
SHA1,MD5,DSA and HMAC algorithms to provide a compliant implementation 
of IOTP 1.0. Implementation of RSA is also recommended."
I think this is very restricted because the REQUIRE is used as the same
mean of MANDATORY in the RFC2026, so I suggest "requires the
implementaton of" should be replaced by "should implement."

Regards,
----
Yoshiaki Kawatsura : E-mail [email-masked]
 Business & Information Systems Development Devision, Hitachi,Ltd.
Voice: +81-44-549-1713(direct) Fax: +81-44-549-1721

-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]